Bug 1649579 - [abrt] fwupd: fu_engine_plugins_coldplug(): fwupd killed by SIGSEGV
Summary: [abrt] fwupd: fu_engine_plugins_coldplug(): fwupd killed by SIGSEGV
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d82fbe51113eceb92daa1906bb7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 22:23 UTC by Christian Stadelmann
Modified: 2018-12-03 21:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-01 12:36:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (43.88 KB, text/plain)
2018-11-13 22:23 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (8.13 KB, text/plain)
2018-11-13 22:23 UTC, Christian Stadelmann
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2018-11-13 22:23 UTC, Christian Stadelmann
no flags Details
File: dso_list (8.95 KB, text/plain)
2018-11-13 22:24 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-13 22:24 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-11-13 22:24 UTC, Christian Stadelmann
no flags Details
stdout of # /usr/libexec/fwupd/fwupd --verbose (14.42 KB, text/plain)
2018-11-28 19:49 UTC, Christian Stadelmann
no flags Details
custom build, stderr of # /usr/libexec/fwupd/fwupd --verbose (46.72 KB, text/plain)
2018-11-30 07:45 UTC, Christian Stadelmann
no flags Details
fwupd-1.2.2-0.416.20181130git.fc29.x86_64.rpm: stderr of #/usr/libexec/fwupd/fwupd --verbose (46.78 KB, text/plain)
2018-11-30 17:35 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2018-11-13 22:23:50 UTC
Version-Release number of selected component:
fwupd-1.1.3-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: fu_engine_plugins_coldplug
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=ea1ea45a121d47709459ba93cf0db402;i=5257ff;b=4fa265d3f3f64dd19c2641502a2972b7;m=11e45253;t=57a154b6f8602;x=f59f3d8f772c1951
kernel:         4.18.16-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 fu_engine_plugins_coldplug at ../src/fu-engine.c:2846
 #1 fu_engine_load at ../src/fu-engine.c:3694

Potential duplicate: bug 1561909

Comment 1 Christian Stadelmann 2018-11-13 22:23:55 UTC
Created attachment 1505487 [details]
File: backtrace

Comment 2 Christian Stadelmann 2018-11-13 22:23:57 UTC
Created attachment 1505488 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2018-11-13 22:23:58 UTC
Created attachment 1505489 [details]
File: cpuinfo

Comment 4 Christian Stadelmann 2018-11-13 22:24:00 UTC
Created attachment 1505490 [details]
File: dso_list

Comment 5 Christian Stadelmann 2018-11-13 22:24:02 UTC
Created attachment 1505491 [details]
File: limits

Comment 6 Christian Stadelmann 2018-11-13 22:24:03 UTC
Created attachment 1505492 [details]
File: proc_pid_status

Comment 7 Ting-Wei Lan 2018-11-18 05:20:46 UTC
After upgrading to Fedora 29, fwupd starts to segfault frequently. This problem doesn't happen on Fedora 28 on the same machine although fwupd seems to be useless on this non-UEFI machine.

Version number:
fwupd-1.1.4-1.fc29.x86_64

Backtrace:
(gdb) thread apply all bt

Thread 5 (Thread 0x7f27f7fff700 (LWP 11595)):
#0  0x00007f280c6de371 in __GI___poll (fds=0x556790ce0a90, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f280cc025a6 in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x556790ce0a90, timeout=<optimized out>, context=0x556790cbac20) at gmain.c:4221
#2  0x00007f280cc025a6 in g_main_context_iterate (context=0x556790cbac20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#3  0x00007f280cc02962 in g_main_loop_run (loop=0x556790cdf550) at gmain.c:4116
#4  0x00007f280cac979a in gdbus_shared_thread_func (user_data=0x556790cdc570) at gdbusprivate.c:275
#5  0x00007f280cc2b48a in g_thread_proxy (data=0x5567909d8850) at gthread.c:784
#6  0x00007f280c7ba58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f280c6e9593 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f27fcbf1700 (LWP 11594)):
#0  0x00007f280c6de371 in __GI___poll (fds=fds@entry=0x7f27f0000b20, nfds=nfds@entry=2, timeout=timeout@entry=60000) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f280bf31495 in poll (__timeout=60000, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/bits/poll2.h:46
#2  0x00007f280bf31495 in handle_events (ctx=ctx@entry=0x5567909cf0a0, tv=<optimized out>, tv=<optimized out>) at io.c:2151
#3  0x00007f280bf3266b in libusb_handle_events_timeout_completed (ctx=0x5567909cf0a0, tv=tv@entry=0x7f27fcbf0aa0, completed=completed@entry=0x0) at io.c:2348
#4  0x00007f280bf326c3 in libusb_handle_events (ctx=<optimized out>) at io.c:2424
#5  0x00007f280c9d9039 in g_usb_context_event_thread_cb (data=<optimized out>) at ../gusb/gusb-context.c:579
#6  0x00007f280cc2b48a in g_thread_proxy (data=0x5567909d8770) at gthread.c:784
#7  0x00007f280c7ba58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007f280c6e9593 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f27fd3f2700 (LWP 11593)):
#0  0x00007f280c6de371 in __GI___poll (fds=fds@entry=0x7f27fd3f1ac0, nfds=nfds@entry=2, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f280bf37d5f in poll (__timeout=-1, __nfds=2, __fds=0x7f27fd3f1ac0) at /usr/include/bits/poll2.h:46
#2  0x00007f280bf37d5f in linux_udev_event_thread_main (arg=<optimized out>) at os/linux_udev.c:192
#3  0x00007f280c7ba58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#4  0x00007f280c6e9593 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f27fdbf3700 (LWP 11592)):
#0  0x00007f280c6de371 in __GI___poll (fds=0x5567909aaa60, nfds=2, timeout=4563) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f280cc025a6 in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x5567909aaa60, timeout=<optimized out>, context=0x5567909aa760) at gmain.c:4221
#2  0x00007f280cc025a6 in g_main_context_iterate (context=context@entry=0x5567909aa760, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3915
#3  0x00007f280cc026d0 in g_main_context_iteration (context=0x5567909aa760, may_block=may_block@entry=1) at gmain.c:3981
#4  0x00007f280cc02721 in glib_worker_main (data=<optimized out>) at gmain.c:5861
#5  0x00007f280cc2b48a in g_thread_proxy (data=0x55679098f4f0) at gthread.c:784
#6  0x00007f280c7ba58e in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f280c6e9593 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f280b46d000 (LWP 11591)):
#0  0x000055678fbceaf2 in fu_engine_plugins_coldplug (self=0x55679098d020 [FuEngine], is_recoldplug=0) at ../src/fu-engine.c:2862
#1  0x000055678fbd77fa in fu_engine_load (self=0x55679098d020 [FuEngine], error=error@entry=0x7ffc978ad378) at ../src/fu-engine.c:3719
#2  0x000055678fbc755a in main (argc=<optimized out>, argv=<optimized out>) at ../src/fu-main.c:1265

Kernel message:
$ journalctl -b -k | grep -A1 fwupd
Nov 10 22:41:10 <hostname> kernel: fwupd[9347]: segfault at 8 ip 000055d35550dab2 sp 00007fff02c52270 error 4 in fwupd[55d3554ff000+2e000]
Nov 10 22:41:10 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 10 22:42:03 <hostname> kernel: fwupd[9602]: segfault at 8 ip 000055d3fa6e3ab2 sp 00007ffccc9a6210 error 4 in fwupd[55d3fa6d5000+2e000]
Nov 10 22:42:03 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 10 22:58:01 <hostname> kernel: fwupd[12330]: segfault at 8 ip 0000565115bbfab2 sp 00007ffcc5f5dcd0 error 4 in fwupd[565115bb1000+2e000]
Nov 10 22:58:01 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 10 22:58:48 <hostname> kernel: fwupd[12589]: segfault at 8 ip 000055b30fb7bab2 sp 00007ffc770cd3d0 error 4 in fwupd[55b30fb6d000+2e000]
Nov 10 22:58:48 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 11 06:42:10 <hostname> kernel: fwupd[25034]: segfault at 8 ip 0000563be5a7eab2 sp 00007ffe29ed1ef0 error 4 in fwupd[563be5a70000+2e000]
Nov 11 06:42:10 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 11 06:45:55 <hostname> kernel: fwupd[25524]: segfault at 8 ip 00005575d5836ab2 sp 00007ffd99f83140 error 4 in fwupd[5575d5828000+2e000]
Nov 11 06:45:55 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 11 16:19:14 <hostname> kernel: fwupd[13854]: segfault at 8 ip 0000560b0c6f4ab2 sp 00007ffc54585900 error 4 in fwupd[560b0c6e6000+2e000]
Nov 11 16:19:14 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 12 06:35:24 <hostname> kernel: fwupd[25215]: segfault at 8 ip 0000565338719ab2 sp 00007ffc5baa8030 error 4 in fwupd[56533870b000+2e000]
Nov 12 06:35:24 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 12 06:38:26 <hostname> kernel: fwupd[25597]: segfault at 8 ip 00005641e7786ab2 sp 00007ffe657b58e0 error 4 in fwupd[5641e7778000+2e000]
Nov 12 06:38:26 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 13 06:35:24 <hostname> kernel: fwupd[3744]: segfault at 8 ip 000055bf6c31bab2 sp 00007ffc95993960 error 4 in fwupd[55bf6c30d000+2e000]
Nov 13 06:35:24 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 13 06:38:59 <hostname> kernel: fwupd[4183]: segfault at 8 ip 000056520a259ab2 sp 00007ffecd83f0e0 error 4 in fwupd[56520a24b000+2e000]
Nov 13 06:38:59 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 14 06:35:24 <hostname> kernel: fwupd[26215]: segfault at 8 ip 000055eeadb35ab2 sp 00007fffdcbdd7d0 error 4 in fwupd[55eeadb27000+2e000]
Nov 14 06:35:24 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 14 06:38:52 <hostname> kernel: fwupd[26620]: segfault at 8 ip 000055683aeccab2 sp 00007ffd2322cdb0 error 4 in fwupd[55683aebe000+2e000]
Nov 14 06:38:52 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 14 06:46:38 <hostname> kernel: fwupd[26863]: segfault at 8 ip 0000563c2f664ab2 sp 00007ffe4d99c0e0 error 4 in fwupd[563c2f656000+2e000]
Nov 14 06:46:38 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 14 23:09:58 <hostname> kernel: fwupd[4554]: segfault at 8 ip 000055b160d08ab2 sp 00007ffd83a61530 error 4 in fwupd[55b160cfa000+2e000]
Nov 14 23:09:58 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 14 23:10:48 <hostname> kernel: fwupd[5467]: segfault at 8 ip 00005588be521ab2 sp 00007ffc8981cd10 error 4 in fwupd[5588be513000+2e000]
Nov 14 23:10:48 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 15 06:10:54 <hostname> kernel: fwupd[13611]: segfault at 8 ip 0000558d2a358ab2 sp 00007ffcddf21a80 error 4 in fwupd[558d2a34a000+2e000]
Nov 15 06:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 15 06:14:59 <hostname> kernel: fwupd[14032]: segfault at 8 ip 0000562ed486eab2 sp 00007ffd08bdc280 error 4 in fwupd[562ed4860000+2e000]
Nov 15 06:14:59 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 06:10:54 <hostname> kernel: fwupd[7736]: segfault at 8 ip 00005598e18d1ab2 sp 00007ffc5f08a1e0 error 4 in fwupd[5598e18c3000+2e000]
Nov 16 06:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 06:14:26 <hostname> kernel: fwupd[8168]: segfault at 8 ip 000055e378aedab2 sp 00007ffd03203600 error 4 in fwupd[55e378adf000+2e000]
Nov 16 06:14:26 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 06:22:55 <hostname> kernel: fwupd[8382]: segfault at 8 ip 000055584f79fab2 sp 00007ffe6a3b2540 error 4 in fwupd[55584f791000+2e000]
Nov 16 06:22:55 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 07:10:54 <hostname> kernel: fwupd[9581]: segfault at 8 ip 000055af7c4f9ab2 sp 00007ffe98a8ac60 error 4 in fwupd[55af7c4eb000+2e000]
Nov 16 07:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 07:11:29 <hostname> kernel: fwupd[9615]: segfault at 8 ip 00005644b85a3ab2 sp 00007fffbc3b4bc0 error 4 in fwupd[5644b8595000+2e000]
Nov 16 07:11:29 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 08:10:53 <hostname> kernel: fwupd[10847]: segfault at 8 ip 0000564cf3459ab2 sp 00007ffcd9c14030 error 4 in fwupd[564cf344b000+2e000]
Nov 16 08:10:53 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 08:11:29 <hostname> kernel: fwupd[10883]: segfault at 8 ip 0000564f5632aab2 sp 00007ffcba5e5c80 error 4 in fwupd[564f5631c000+2e000]
Nov 16 08:11:29 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 09:10:54 <hostname> kernel: fwupd[25318]: segfault at 8 ip 0000558a6940aab2 sp 00007ffc242119e0 error 4 in fwupd[558a693fc000+2e000]
Nov 16 09:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 16 09:11:31 <hostname> kernel: fwupd[25351]: segfault at 8 ip 000055c0f5d24ab2 sp 00007fff4c56ba10 error 4 in fwupd[55c0f5d16000+2e000]
Nov 16 09:11:31 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 17 06:10:54 <hostname> kernel: fwupd[11618]: segfault at 8 ip 000055684828cab2 sp 00007ffe77966b30 error 4 in fwupd[55684827e000+2e000]
Nov 17 06:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 06:14:26 <hostname> kernel: fwupd[12029]: segfault at 8 ip 0000560b6f686ab2 sp 00007ffee2a38e00 error 4 in fwupd[560b6f678000+2e000]
Nov 17 06:14:26 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 06:22:27 <hostname> kernel: fwupd[12244]: segfault at 8 ip 000055d880f2eab2 sp 00007fff5fe3a640 error 4 in fwupd[55d880f20000+2e000]
Nov 17 06:22:27 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 07:10:54 <hostname> kernel: fwupd[13432]: segfault at 8 ip 0000557e85fe2ab2 sp 00007fff35cf9ff0 error 4 in fwupd[557e85fd4000+2e000]
Nov 17 07:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 07:11:24 <hostname> kernel: fwupd[13464]: segfault at 8 ip 00005632a50d2ab2 sp 00007ffec84f2b20 error 4 in fwupd[5632a50c4000+2e000]
Nov 17 07:11:24 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 07:13:06 <hostname> kernel: fwupd[13520]: segfault at 8 ip 000055da416b6ab2 sp 00007fffdaa03b10 error 4 in fwupd[55da416a8000+2e000]
Nov 17 07:13:06 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 07:13:51 <hostname> kernel: fwupd[13603]: segfault at 8 ip 000055bd574f6ab2 sp 00007ffea59556e0 error 4 in fwupd[55bd574e8000+2e000]
Nov 17 07:13:51 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 08:10:54 <hostname> kernel: fwupd[15010]: segfault at 8 ip 000056252b638ab2 sp 00007ffd87e72850 error 4 in fwupd[56252b62a000+2e000]
Nov 17 08:10:54 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 08:11:25 <hostname> kernel: fwupd[15047]: segfault at 8 ip 00005561bd879ab2 sp 00007ffdea710b30 error 4 in fwupd[5561bd86b000+2e000]
Nov 17 08:11:25 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
--
Nov 17 09:10:53 <hostname> kernel: fwupd[16486]: segfault at 8 ip 000055895fcecab2 sp 00007ffeaa02e270 error 4 in fwupd[55895fcde000+2e000]
Nov 17 09:10:53 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 09:11:24 <hostname> kernel: fwupd[16510]: segfault at 8 ip 000055e96e223ab2 sp 00007ffede877f30 error 4 in fwupd[55e96e215000+2e000]
Nov 17 09:11:24 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 09:12:33 <hostname> kernel: fwupd[16565]: segfault at 8 ip 0000562f354c9ab2 sp 00007ffddb790a00 error 4 in fwupd[562f354bb000+2e000]
Nov 17 09:12:33 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 17 21:42:57 <hostname> kernel: fwupd[22828]: segfault at 8 ip 000055b23ed86ab2 sp 00007ffd28d139d0 error 4 in fwupd[55b23ed78000+2e000]
Nov 17 21:42:57 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 36 7c 01 00 48 8b 44 24 10 48 8d 15 20 0a 02 00 be 20 00 00 00 48 8d 3d 2e 09 02 00 <48> 8b 48 08 31 c0 e8 73 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 18 06:10:53 <hostname> kernel: fwupd[11591]: segfault at 8 ip 000055678fbceaf2 sp 00007ffc978ad260 error 4 in fwupd[55678fbc0000+2e000]
Nov 18 06:10:53 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 86 7c 01 00 48 8b 44 24 10 48 8d 15 e0 09 02 00 be 20 00 00 00 48 8d 3d ee 08 02 00 <48> 8b 48 08 31 c0 e8 33 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 18 06:14:46 <hostname> kernel: fwupd[12004]: segfault at 8 ip 00005616c0825af2 sp 00007fff831bf640 error 4 in fwupd[5616c0817000+2e000]
Nov 18 06:14:46 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 86 7c 01 00 48 8b 44 24 10 48 8d 15 e0 09 02 00 be 20 00 00 00 48 8d 3d ee 08 02 00 <48> 8b 48 08 31 c0 e8 33 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 18 13:07:27 <hostname> kernel: fwupd[22722]: segfault at 8 ip 0000560f15d2baf2 sp 00007ffde191e680 error 4 in fwupd[560f15d1d000+2e000]
Nov 18 13:07:27 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 86 7c 01 00 48 8b 44 24 10 48 8d 15 e0 09 02 00 be 20 00 00 00 48 8d 3d ee 08 02 00 <48> 8b 48 08 31 c0 e8 33 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 
Nov 18 13:07:57 <hostname> kernel: fwupd[22762]: segfault at 8 ip 000055b6fd791af2 sp 00007ffe1b424b70 error 4 in fwupd[55b6fd783000+2e000]
Nov 18 13:07:57 <hostname> kernel: Code: 0f 1f 84 00 00 00 00 00 31 f6 4c 89 ef e8 86 7c 01 00 48 8b 44 24 10 48 8d 15 e0 09 02 00 be 20 00 00 00 48 8d 3d ee 08 02 00 <48> 8b 48 08 31 c0 e8 33 48 ff ff eb 9d 90 48 8b 44 24 08 8b 48 60 

gnome-software usually says it cannot find updates because of fwupd timeout.

Comment 8 Richard Hughes 2018-11-28 19:46:25 UTC
Can you get the output of "/usr/libexec/fwupd/fwupd --verbose" as root please. Something is failing coldplug but not setting an error.

Comment 9 Christian Stadelmann 2018-11-28 19:49:54 UTC
Created attachment 1509622 [details]
stdout of # /usr/libexec/fwupd/fwupd --verbose

(In reply to Richard Hughes from comment #8)
> Can you get the output of "/usr/libexec/fwupd/fwupd --verbose" as root
> please. Something is failing coldplug but not setting an error.

stdout is empty, stderr is attached.

Comment 10 Richard Hughes 2018-11-29 20:18:04 UTC
Okay, that's helpful, but doesn't actually pinpoint the problem, which is more my problem than yours :) I've uploaded a new build to https://people.freedesktop.org/~hughsient/fedora/ -- can you either install that on F29 or rebuild the srpm on f28 please. Then restart fwupd, restart it again in verbose mode and submit the new log. Thanks!

Comment 11 Christian Stadelmann 2018-11-30 07:45:16 UTC
Created attachment 1510083 [details]
custom build, stderr of # /usr/libexec/fwupd/fwupd --verbose

(In reply to Richard Hughes from comment #10)
> Okay, that's helpful, but doesn't actually pinpoint the problem, which is
> more my problem than yours :) I've uploaded a new build to
> https://people.freedesktop.org/~hughsient/fedora/ -- can you either install
> that on F29 or rebuild the srpm on f28 please. Then restart fwupd, restart
> it again in verbose mode and submit the new log. Thanks!

Done. It does not crash immediately any more.

Comment 12 Richard Hughes 2018-11-30 11:55:05 UTC
> Done. It does not crash immediately any more.

Super! That patch masked the problem, but shows me where (AMT) the coldplug was failing, and means the daemon doesn't crash. To check I've fixed the root-cause, can you please try the fwupd srpm I've just uploaded please and also get me the verbose log again as before. Thanks!

Comment 13 Christian Stadelmann 2018-11-30 17:35:11 UTC
Created attachment 1510216 [details]
fwupd-1.2.2-0.416.20181130git.fc29.x86_64.rpm: stderr of #/usr/libexec/fwupd/fwupd --verbose

(In reply to Richard Hughes from comment #12)
> > Done. It does not crash immediately any more.
> 
> Super! That patch masked the problem, but shows me where (AMT) the coldplug
> was failing, and means the daemon doesn't crash. To check I've fixed the
> root-cause, can you please try the fwupd srpm I've just uploaded please and
> also get me the verbose log again as before. Thanks!

Assuming you mean "rpms", not "srpm", I've installed the new builds from the same folder as before. Build id: fwupd-1.2.2-0.416.20181130git.fc29.x86_64.rpm. After restarting fwupd twice, of course.

Comment 14 Richard Hughes 2018-12-01 12:36:39 UTC
Bingo, but fixed. Thanks for installing both builds:

>17:33:26:0356 FuEngine             disabling plugin because: failed to coldplug using amt: unable to get provisioning state: empty response

I'll do a new upstream release with this in a couple of weeks time. Thanks.

Comment 15 Christian Stadelmann 2018-12-02 10:32:26 UTC
Thanks for hunting down and fixing this bug!

Comment 16 Christian Stadelmann 2018-12-02 10:35:44 UTC
Upstream fixes are in
https://github.com/hughsie/fwupd/commit/6dc8680e15be28f60a081c18749a823492fa3412 and https://github.com/hughsie/fwupd/pull/870 respectively.


Note You need to log in before you can comment on or make changes to this bug.